Loading...
Searching...
No Matches
chain_rep_cycles.h File Reference

Contains the Gudhi::persistence_matrix::Chain_representative_cycles class and Gudhi::persistence_matrix::Dummy_chain_representative_cycles structure. More...

Go to the source code of this file.

## Classes

struct | Gudhi::persistence_matrix::Dummy_chain_representative_cycles
| Empty structure. Inherited instead of Chain_representative_cycles, when the computation of the representative cycles were not enabled. More...
class | Gudhi::persistence_matrix::Chain_representative_cycles< Master_matrix >
| Class managing the representative cycles for Chain_matrix if the option was enabled. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains the Gudhi::persistence_matrix::Chain_representative_cycles class and Gudhi::persistence_matrix::Dummy_chain_representative_cycles structure.

Author
  Hannah Schreiber